import request from '@/utils/request'

// 统计预案数量
export function getLevelNum(query) {
  return request({
    url: '/system/results/level',
    method: 'get',
    params: query
  })
}


// 查询应急预案信息列表
export function listPlans(query) {
  return request({
    url: '/approval/plans/list',
    method: 'get',
    params: query
  })
}

// 查询应急预案信息详细
export function getPlans(id) {
  return request({
    url: '/approval/plans/' + id,
    method: 'get'
  })
}

// 新增应急预案信息
export function addPlans(data) {
  return request({
    url: '/approval/plans',
    method: 'post',
    data: data
  })
}

// 修改应急预案信息
export function updatePlans(data) {
  return request({
    url: '/approval/plans',
    method: 'put',
    data: data
  })
}

// 删除应急预案信息
export function delPlans(id) {
  return request({
    url: '/approval/plans/' + id,
    method: 'delete'
  })
}
//版本追溯列表
export function versionRollback(query) {
  return request({
    url: '/approval/plans/versionRollback',
    method: 'get',
    params: query
  })
}
//使用当前版本
export function versionEnable(query) {
  return request({
    url: '/approval/plans/versionEnable',
    method: 'put',
    params: query
  })
}

//是否可看审批
export function approval(query) {
  return request({
    url: '/approval',
    method: 'get',
    params: query
  })
}

//审核接口
export function approvalOpinionsCon(query) {
  return request({
    url: '/approval',
    method: 'put',
    params: query
  })
}

//审批流程
export function queryProgress(query) {
  return request({
    url: '/approval/queryProgress',
    method: 'get',
    params: query
  })
}