import request from '@/utils/request'

// 查询数据字典-物资类别信息列表
export function listType(query) {
  return request({
    url: '/material/type/list',
    method: 'get',
    params: query
  })
}

// 查询数据字典-物资类别信息详细
export function getType(id) {
  return request({
    url: '/material/type/' + id,
    method: 'get'
  })
}

// 新增数据字典-物资类别信息
export function addType(data) {
  return request({
    url: '/material/type',
    method: 'post',
    data: data
  })
}

// 修改数据字典-物资类别信息
export function updateType(data) {
  return request({
    url: '/material/type',
    method: 'put',
    data: data
  })
}

// 删除数据字典-物资类别信息
export function delType(id) {
  return request({
    url: '/material/type/' + id,
    method: 'delete'
  })
}
